Page MenuHomePhabricator

Uncaught TypeError: Cannot read property 'getMainText' of null
Closed, ResolvedPublic

Description

Error counts between 2016-05-18 20:33:39 and 2016-05-24 17:15:38, for this and similar error messages:

76 Uncaught TypeError: Cannot read property 'getMainText' of null
15 Uncaught TypeError: Cannot call method 'getMainText' of null
13 TypeError: null is not an object (evaluating 'mw.Title.makeTitle(NS_CATEGORY,data).getMainText')
 3 Unable to get property 'getMainText' of undefined or null reference
 2 Die Eigenschaft "getMainText" eines undefinierten oder Nullverweises kann nicht abgerufen werden.

Event Timeline

matmarex created this task.May 25 2016, 7:42 PM
matmarex claimed this task.Jun 2 2016, 11:25 AM
matmarex triaged this task as Normal priority.

Looks like mw.widgets.CategorySelector to me…

This actually looks pretty ugly. OO.ui.CapsuleMultiselectWidget doesn't have a way to validate/reject user input. We'll need a bunch of fixes in a bunch of places…

Change 297287 had a related patch set uploaded (by Bartosz Dziewoński):
CapsuleMultiselectWidget: Allow ignoring user input for 'allowArbitrary' widgets

https://gerrit.wikimedia.org/r/297287

Change 297288 had a related patch set uploaded (by Bartosz Dziewoński):
mw.widgets.CategorySelector: Avoid JS exceptions for invalid user input

https://gerrit.wikimedia.org/r/297288

Change 297289 had a related patch set uploaded (by Bartosz Dziewoński):
uw.CategoriesDetailsWidget: Avoid JS exceptions for invalid user input

https://gerrit.wikimedia.org/r/297289

Change 297287 merged by jenkins-bot:
CapsuleMultiselectWidget: Allow ignoring user input for 'allowArbitrary' widgets

https://gerrit.wikimedia.org/r/297287

Change 297288 merged by jenkins-bot:
mw.widgets.CategorySelector: Avoid JS exceptions for invalid user input

https://gerrit.wikimedia.org/r/297288

Change 297289 merged by jenkins-bot:
uw.CategoriesDetailsWidget: Avoid JS exceptions for invalid user input

https://gerrit.wikimedia.org/r/297289

matmarex closed this task as Resolved.Jul 14 2016, 11:32 AM
matmarex removed a project: Patch-For-Review.